# DASetUniformCoordinates

Sets a DA coordinates to be a uniform grid

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DASetUniformCoordinates(DA da,PetscReal xmin,PetscReal xmax,PetscReal ymin,PetscReal ymax,PetscReal zmin,PetscReal zmax)

Collective on DA

### Input Parameters

| da | - the distributed array object
| xmin,xmax | - extremes in the x direction
| ymin,ymax | - extremes in the y direction (use PETSC_NULL for 1 dimensional problems)
| zmin,zmax | - extremes in the z direction (use PETSC_NULL for 1 or 2 dimensional problems)

### See Also

DASetCoordinates(), DAGetCoordinates(), DACreate1d(), DACreate2d(), DACreate3d()

Level:beginner
Location: src/dm/da/src/gr1.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/snes/examples/tutorials/ex22.c.html
src/dm/da/examples/tutorials/ex3.c.html
src/dm/da/examples/tutorials/ex4.c.html